//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class DeliveryOrder
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DeliveryOrder()
        {
            this.DeliveryOrderDetails = new HashSet<DeliveryOrderDetail>();
            this.OcaShipments = new HashSet<OcaShipment>();
            this.OrderPayments = new HashSet<OrderPayment>();
            this.ProductSkus = new HashSet<ProductSku>();
            this.Transactions = new HashSet<Transaction>();
        }
    
        public int DeliveryOrderId { get; set; }
        public Nullable<int> OrderId { get; set; }
        public System.DateTime Date { get; set; }
        public string ReferNumber { get; set; }
        public string Comment { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public string Image { get; set; }
        public Nullable<decimal> Amount { get; set; }
        public int PaymentStatusId { get; set; }
        public Nullable<int> RefundId { get; set; }
        public Nullable<int> ExchangeId { get; set; }
        public string AndreaniNumero { get; set; }
        public string AndreaniTarifa { get; set; }
    
        public virtual Exchange Exchange { get; set; }
        public virtual Order Order { get; set; }
        public virtual PaymentStatu PaymentStatu { get; set; }
        public virtual Refund Refund { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliveryOrderDetail> DeliveryOrderDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OcaShipment> OcaShipments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderPayment> OrderPayments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductSku> ProductSkus { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Transaction> Transactions { get; set; }
    }
}
